%define name		ibatis
%define version		2.0.6
%define release		2jpp
%define	section		free


Name:		%{name}
Summary:	iBATIS SQL Maps and DAO Frameworks
Url:		http://www.ibatis.com/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Apache Software License 2
Group:		Database
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	iBATIS_DBL-2.0.6.414.zip
Source1:	ibatis-build.xml

BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	ant >= 0:1.6
BuildRequires:  junit
BuildRequires:	java >= 0:1.4
BuildRequires:	jakarta-commons-dbcp
BuildRequires:	jakarta-commons-logging
BuildRequires:	jakarta-commons-lang
BuildRequires:	hibernate
BuildRequires:	ibatis1
BuildRequires:	db-ojb >= 0:1.0.1
BuildRequires:	jta
BuildRequires:	cglib
BuildRequires:	oscache
Requires:	java >= 0:1.4
Requires:	jakarta-commons-logging

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
iBATIS SQL Maps provides a very simple and flexible means 
of moving data between your Java objects and a relational 
database. Use the full power of real SQL without a single 
line of JDBC code!
iBATIS DAO is an abstraction layer that hides the details 
of your persistence solution and provides a common API to 
the rest of your application.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -c -n %{name}-%{version}
chmod -R go=u-w *
cp %{SOURCE1} build.xml
mkdir src
pushd src
unzip -q ../debug/ibatis-source.zip
popd
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=$(build-classpath \
commons-dbcp \
commons-lang \
commons-logging \
hibernate \
ibatis1-dao \
db-ojb/db-ojb \
jta \
cglib \
oscache \
)
CLASSPATH=$CLASSPATH:target/classes
ant -Dbuild.sysclasspath=only jar javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 target/%{name}-common-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-common-%{version}.jar
install -m 644 target/%{name}-dao-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-dao-%{version}.jar
install -m 644 target/%{name}-sqlmap-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-sqlmap-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_javadir}/*.jar
%doc license.txt

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Sat Jul 09 2005 Ralph Apel <r.apel at r-apel.de> 0:2.0.6-2jpp
- Add commons-logging requirement

* Fri Oct 08 2004 Ralph Apel <r.apel at r-apel.de> 0:2.0.6-1jpp
- First release

